if(!settings.multipleView) settings.batchView=false;
settings.tex="pdflatex";
defaultfilename="test10-1";
if(settings.render < 0) settings.render=4;
settings.outformat="";
settings.inlineimage=true;
settings.embed=true;
settings.toolbar=false;
viewportmargin=(2,2);

size(8cm,8cm);

int k = 12;
int r = 60;

int s = 6;
int m = 30;

int Ue = 23;

path Q = rotate(-360/r*30)*(0,0.1)--rotate(-360/r*30)*(0,2.8)..rotate(-360/r*(m+Ue/2))*(0,2.8)..rotate(-360/r*(m+Ue))*(0,2.8)--rotate(-360/r*(m+Ue))*(0,0.1)--cycle;

fill(Q, lightred);

path T = (0,3)--(0,3.5);

label(Label("nach 18:30 Uhr -- \textbf{ab ins' Wochenende!}",EndPoint,N),(0,5));

for (int i=1; i<(k+1); ++i) {
string t=(string) i;
draw(Label(t,EndPoint,rotate(-i*360/k)*N),rotate(-i*360/k)*T);
}

currentpen=Black+2;

dot((0,0));
path sZ = rotate(-360/k*s-360/(k*r)*(m+Ue))*((0,0.1)--(0,2.4));
path mZ = rotate(-360/r*(m+Ue))*((0,0.1)--(0,2.8));

draw(sZ);
draw(mZ);

